System.Web 2.0.0.0 System.Configuration.ConfigurationSection

The class provides a way to programmatically access and modify the content of the roleManager section of the configuration file.

Defines configuration settings that are used to support the role management infrastructure of Web applications. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  The following table shows the default settings that are used for the constructor.

  Property

  Default value

  false

  false

  ".ASPXROLES"

  "/"

  All

  false

  true

  30, in minutes

  false

  "AspNetSqlRoleProvider"

  An empty string ("")

  25

  Initializes a new instance of the class by using default settings.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("cacheRolesInCookie", DefaultValue=false)
  System.Boolean To be added.

  The property returns a Boolean value indicating whether cookie storage for role names is enabled.

  When the property is set to true in the configuration file, role information for each user is stored in a cookie on the client. When role management checks to determine whether a user is in a particular role, the roles cookie is checked before calling the role provider to check the list of roles at the data source. The cookie is dynamically updated on the client to cache the most recently validated role names.

  You can improve the reliability of the role names that are cached in a cookie by specifying a property when you configure the roleManager section of the configuration file. The default property is All, which encrypts role names in the cookie and validates that the cookie contents have not been altered.

  Gets or sets a value indicating whether the current user's roles are cached in a cookie.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("cookieName", DefaultValue=".ASPXROLES")
  System.Configuration.StringValidator(MinLength=1)
  System.ComponentModel.TypeConverter(typeof(System.Configuration.WhiteSpaceTrimStringConverter))
  System.String To be added.

  The property returns the name of the cookie that is used to cache role names. You can specify the name of the cookie where roles are cached for your application by setting the cookieName attribute in the Web.config file for your ASP.NET application. This is useful when you want to uniquely identify a cookie for your application or when a cookie is shared across multiple applications.

  Gets or sets the name of the cookie that is used to cache role names.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("cookiePath", DefaultValue="/")
  System.Configuration.StringValidator(MinLength=1)
  System.ComponentModel.TypeConverter(typeof(System.Configuration.WhiteSpaceTrimStringConverter))
  System.String To be added.

  You can specify the path of the cookie where role names are cached for your application by setting the cookiePath attribute in the Web.config file for your ASP.NET application. The property returns the value of the cookiePath attribute from the Web.config file. The path is case sensitive.

  Gets or sets the virtual path of the cookie that is used to cache role names.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("cookieProtection", DefaultValue="All")
  System.Web.Security.CookieProtection To be added.

  The property describes how information in a cookie is securely stored. You can specify the security type of the cookie where roles are cached for your application by setting the cookieProtection attribute in the Web.config file for your ASP.NET application. The cookieProtection attribute takes a enumeration value of All, Encryption, None, or Validation. The default is All. Be sure to use the default value for the property if you want both data validation and encryption to help protect the cookie. To improve the protection of your cookie, you can also set the property to true.

  Gets or sets the type of security that is used to protect the cookie that caches role names.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("cookieRequireSSL", DefaultValue=false)
  System.Boolean To be added.

  You can specify whether SSL is required to return the role names cookie to the server by setting the cookieRequireSSL attribute in the Web.config file for your ASP.NET application.

  Gets or sets a value indicating whether the cookie that is used to cache role names requires a Secure Sockets Layer (SSL) connection in order to be returned to the server.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("cookieSlidingExpiration", DefaultValue=true)
  System.Boolean To be added.

  You can specify whether the cookie that is used to cache role names is periodically reset or expired at a fixed point in time by using the cookieSlidingExpiration attribute in the Web.config file for your ASP.NET application. If true, the cookie expiration is initially set to the current date and time plus the property, in minutes. While the user continues to actively use the ASP.NET application, the expiration date and time of the cookie is automatically refreshed, if there is less than half of the remaining. The default is true.

  Gets or sets a value indicating whether the cookie that is used to cache role names will be reset periodically.

  2.0.0.0
- Property
  System.ComponentModel.TypeConverter(typeof(System.Configuration.TimeSpanMinutesOrInfiniteConverter))
  System.Configuration.ConfigurationProperty("cookieTimeout", DefaultValue="00:30:00")
  System.Configuration.TimeSpanValidator(MinValueString="00:00:00", MaxValueString="10675199.02:48:05.4775807")
  System.TimeSpan To be added.

  The property sets a value specifying the number of minutes before the role names cookie expires. The default is 30 minutes. If the property is false, the property is ignored.

  Gets or sets the number of minutes before the cookie that is used to cache role names expires.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("createPersistentCookie", DefaultValue=false)
  System.Boolean To be added.

  The property indicates whether or not the cookie that is used to cache role names should be a session-based cookie, which means that the cookie is lost when the browser is closed, or a persistent cookie, which means that the cookie is available across browser sessions. The default is false, which indicates that a session-based cookie is used to cache role names.

  Indicates whether a session-based cookie or a persistent cookie is used to cache role names.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("defaultProvider", DefaultValue="AspNetSqlRoleProvider")
  System.Configuration.StringValidator(MinLength=1)
  System.ComponentModel.TypeConverter(typeof(System.Configuration.WhiteSpaceTrimStringConverter))
  System.String To be added.

  The property must match a named value in the providers subsection of the roleManager section of a configuration file. An empty string ("") is not a valid value for the property.

  Gets or sets the name of the default provider that is used to manage roles.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("domain")
  System.String To be added.

  The property is set in the configuration for an ASP.NET application by using the domain attribute of the roleManager configuration element. If no value is specified in the configuration for the domain attribute, the property returns null and the role names cookie domain defaults to the behavior of the property. The default is an empty string.

  Gets or sets the name of the domain that is associated with the cookie that is used to cache role names.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("enabled", DefaultValue=false)
  System.Boolean To be added.

  The property returns a Boolean value indicating whether or not the ASP.NET role management feature can be accessed at run time.

  Gets or sets a value indicating whether the ASP.NET role management feature is enabled.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("maxCachedResults", DefaultValue=25)
  System.Int32 To be added.

  The property returns an integer indicating the maximum number of roles that ASP.NET caches in the role cookie. The default is 25.

  Gets or sets the maximum number of roles that ASP.NET caches in the role cookie.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("providers")
  System.Configuration.ProviderSettingsCollection To be added.

  Role management providers are components that provide access to the types of roles for a site. You can specify role management providers in the providers subsection of the roleManager section of a configuration file.

  The property specifies the provider that is used by default.

  Gets a object of elements.

  2.0.0.0